### Method

# Gdk.Surface.get_cursor

#### Declaration [src]

    GdkCursor*
    gdk_surface_get_cursor (
      GdkSurface* surface
    )

#### Description [src]

Retrieves a `GdkCursor` pointer for the cursor currently set on the `GdkSurface`.

If the return value is `NULL` then there is no custom cursor set on the surface, and it is using the cursor for its parent surface.

Gets property | `Gdk.Surface:cursor`

#### Return value

Returns: `GdkCursor`
a `GdkCursor`, or `NULL`. The returned object is owned by the `GdkSurface` and should not be unreferenced directly. Use `gdk_surface_set_cursor()` to unset the cursor of the surface
Ownership is not transferred to the caller
Can be `NULL`